# xthreed

## SYNOPSIS

           /usr/games/xthreed                                           [-geometry
           [{width}][x{height}][{+-}{xoff}[{+-}{yoff}]]]                 [-display
           [{host}]:[{vs}]]  [-{foreground|fg} {color}] [-{background|bg} {color}]
           [-frame  {color}]  [-white  {color}]  [-[lt|dk]gray  {color}]   [-black
           {color}]  [-another  {color}]  [-{border|bd}  {color}]  [-delay  msecs]
           [-[no]sound] [-bumpSound {filename}] [-moveSound {filename}] [-[no]sur-
           face]  [-object  {int}] [-x {int}] [-y {int}] [-z {int}] [-theta {int}]
           [-phi {int}] [psi {int}] [-version]

## DESCRIPTION

           Press "L" or "l" keys to move shape left.

           Press "R" or "r" keys to move shape right.

           Press "U" or "u" keys to move shape up.

           Press "D" or "d" keys to move shape down.

           Press "I" or "i" keys to move shape in.

           Press "O" or "o" keys to move shape out.

           Press "S" or "s" keys to change surface.

           Press "B" or "b" keys to change object.

           Press ">" or "." keys to speed up the movement (not implmented).

           Press "<" or "," keys to slow down the movement (not implmented).

           Press "@" key to toggle the sound.

           Press "Esc" key to hide program.

           "Q", "q", or "CTRL-C" keys kill program.

           Use the key pad or arrow keys to rotate object.
           Key pad is defined for Threed as:
             /      Counterclockwise

             8      Up
             ^
           4<5>6  Left, Clockwise, Right
             v
             2      Down

           I debated releasing this, since it needs some  work.   Also  I  figured
           there was other 3D viewers out there.  One neat thing is the mouse sur-
           face detection.  This viewer is real simple, it only primitive  graphic
           routines,  so it might be useful to someone out there.  If you have any
           improvements to make, let me know.  I think the roll part is not  quite
           right, as it does not track well.

           In  the  sample  data,  Cubes  and  F16 are big, so the polyhedrons are
           scaled up to them in the data file.

## OPTIONS

           -geometry {+|-}X{+|-}Y
                   This option sets the initial  position  of  the  threed  window
                   (resource name "geometry").

           -display host:dpy
                   This option specifies the X server to contact.

           -{foreground | fg} color
                   This  option  specifies  the  foreground  of  the threed window
                   (resource name "foreground").

           -{background | bg} color
                   This option specifies  the  background  of  the  threed  window
                   (resource name "background").

           -frame color
                   This  option  specifies  the  foreground of the frame (resource
                   name "frameColor").

           -white color
                   This  option  specifies  the  color  of  the  white  paintbrush
                   (resource name "whiteBrush").

           -[lt|dk]gray color
                   This  option  specifies  the  color  of the gray the paintbrush
                   (resource name "[lt|dk]grayBrush").

           -black color
                   This option specifies the color of the black of the  paintbrush
                   (resource name "blackBrush").

           -another color
                   This  option  specifies  the  of  color  of  the  a  paintbrush
                   (resource name "anotherBrush").

           -{border|bd} color
                   This option specifies the  foreground  of  the  surface  border
                   (resource name "surfaceBorder").

           -delay msecs
                   This  option  specifies  the number of milliseconds it takes to
                   move (1-50) (resource name "delay").

           -[no]sound
                   This option specifies if a sliding tile should make a sound  or
                   not (resource name "sound").

           -bumpSound filename
                   This  option  specifies  the  file  for  the bump sound for the
                   clicking of a new surface (resource name "bumpSound").

           -moveSound filename
                   This option specifies the file for the  move  sound  (not  used
                   yet) (resource name "moveSound").

           -[no]surface
                   This  option  allows  you  to access the hidden surface removal
                   mode and wire mode (resource name "surface").

           -object <int>
                   This option allows you to set the object to be viewed (resource
                   name "object").

           -distance <int>
                   This  option allows you to set the distance of the object to be
                   viewed (resource name "distance").

           -theta <int>
                   This option allows you to set the angle of the to be viewed  in
                   degrees  (resource  name  "thetaDegrees").  This corresponds to
                   yaw.

           -phi <int>
                   This option allows you to set the angle of the to be viewed  in
                   degrees  (resource  name  "phiDegrees").   This  corresponds to
                   pitch.

           -psi <int>
                   This option allows you to set the angle of the to be viewed  in
                   degrees  (resource  name  "psiDegrees").   This  corresponds to
                   roll.

           -version
                   This option tells you what version of xthreed you have.

## SEE ALSO

           X(1), xcubes(6), xtriangles(6),  xhexagons(6),  xmlink(6),  xbarrel(6),
           xpanex(6),  xmball(6),  xpyraminx(6),  xoct(6),  xrubik(6),  xskewb(6),
           xdino(6), xabacus(6)

## COPYRIGHTS

           (R) Copyright 1995-2009, David A. Bagley

## BUG REPORTS AND PROGRAM UPDATES

           Send bugs (or their reports, or fixes) to the author:
                  David A. Bagley, <bagleyd@tux.org>

           The latest version is currently at:
                  http://www.tux.org/~bagleyd/threed.html

    V7.5.1                            10 Nov 2009                        THREED(6)